package nxm.sys.intr;

/** Handles the display of results parameters.
    As of NeXtMidas 2.5.0 this is simply a minor extension
    of the {@link Results RES} command that handles only the getting of a result.

    @author  J. Czechowski IV
 */
public class Get extends Results {

  /** default constructor */
  public Get () {}

  public int open() {
    label  = MA.getU("LABEL");
    all    = MA.getZ("/ALL");
    outRes = MA.getU("/RES",null);
    return NORMAL;
  }

  public int process() {
    super.process();
    // loop on multiple args
    for (int i=2; i<=MA.getNArgs(); ) {
      label  = MA.getU(i++);
      super.process();
    }
    return FINISH;
  }


}
